#ifndef _PRINTM_H
#define _PRINTM_H

#include <iomanip>
/**
 *  \file printm.h
 *
 *  Kiírást segítő makrók
 */

/**
 * Kicsit trükkös makró ami végrehajtás előtt kommnetként kiírja a paramétereit.
 */
#define _(...) std::cout << "   // " << #__VA_ARGS__ << std::endl; \
               __VA_ARGS__; \

/**
 * _() hívása után soremelést ír;
 */
#define __(...) _(__VA_ARGS__); std::cout << std::endl;

/**
 * soremelést ír;
 */
#define ___ std::cout << std::endl;

#endif // _PRINTM_H
